org.apache.ignite.internal.cluster

## Class ClusterTopologyCheckedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.cluster.ClusterTopologyCheckedException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ClusterGroupEmptyCheckedException, ClusterTopologyServerNotFoundException

    public class ClusterTopologyCheckedException
    extends IgniteCheckedException

This exception is used to indicate error with grid topology (e.g., crashed node, etc.).

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ClusterTopologyCheckedException(String msg)` Creates new topology exception with given error message.
`ClusterTopologyCheckedException(String msg, Throwable cause)` Creates new topology exception with given error message and optional nested exception.

### Method Summary

Methods
`IgniteInternalFuture<?>` `retryReadyFuture()`
`void` `retryReadyFuture(IgniteInternalFuture<?> readyFut)`

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClusterTopologyCheckedException

    public ClusterTopologyCheckedException(String msg)

Creates new topology exception with given error message.

Parameters:
  `msg` - Error message.

#### ClusterTopologyCheckedException

    public ClusterTopologyCheckedException(String msg,
                                   @Nullable
                                   Throwable cause)

Creates new topology exception with given error message and optional nested exception.

Parameters:
  `msg` - Error message.
  `cause` - Optional nested exception (can be `null`).

### Method Detail

#### retryReadyFuture

    public IgniteInternalFuture<?> retryReadyFuture()

Returns:
  Retry ready future.

#### retryReadyFuture

    public void retryReadyFuture(IgniteInternalFuture<?> readyFut)

Parameters:
  `readyFut` - Retry ready future.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016